package org.gcube.portets.user.message_conversations.client;

import org.gcube.portets.user.message_conversations.client.ui.ApplicationView;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.ServiceDefTarget;
import com.google.gwt.user.client.ui.RootPanel;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class MessageConversations implements EntryPoint {
	public static final String DIV_CONTAINER_ID = "create-users-container";
	public static final String ARTIFACT_ID = "messages";
	/**
	 * Create a remote service proxy to talk to the server-side Greeting service.
	 */
	
	private final MessageServiceAsync convService = GWT.create(MessageService.class);
	private ApplicationView ap;

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		((ServiceDefTarget) convService).setServiceEntryPoint(Utils.getServiceEntryPoint());
		ap = new ApplicationView();
		RootPanel.get(DIV_CONTAINER_ID).add(ap);
		ap.readUserMessages(false);
		
	}

	

	

	
	
}
